# Uses of Interface
org.eclipse.osgi.service.debug.DebugOptions

Packages that use DebugOptions
Package
Description
org.eclipse.osgi.container
org.eclipse.osgi.service.debug
Provides the `DebugOptions` service.
org.eclipse.ui.internal

## Uses of DebugOptions in org.eclipse.osgi.container

Methods in org.eclipse.osgi.container that return DebugOptions
Modifier and Type
Method
Description
`DebugOptions`
ModuleContainerAdaptor.`getDebugOptions()`
Returns the debug options for the module container.
Methods in org.eclipse.osgi.container with parameters of type DebugOptions
Modifier and Type
Method
Description
`void`
ModuleContainer.`optionsChanged(DebugOptions options)`

## Uses of DebugOptions in org.eclipse.osgi.service.debug

Methods in org.eclipse.osgi.service.debug with parameters of type DebugOptions
Modifier and Type
Method
Description
`void`
DebugOptionsListener.`optionsChanged(DebugOptions options)`
Notifies this listener that an option-path for its plug-in has changed.

## Uses of DebugOptions in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return DebugOptions
Modifier and Type
Method
Description
`DebugOptions`
WorkbenchPlugin.`getDebugOptions()`